{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'home/style.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <title>Home | Bry Is 22</title>
    <link rel="shortcut icon" type="image/png" href="{% static 'home/favicon.png' %}"/>
</head>

<header>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="/home">20.04.22</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/home">Home<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/pov">POV</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/gifts">Gifts</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="https://drive.google.com/drive/u/0/folders/1v3Cp7Za1va0chG1-Iy45gf8-LZYBASRO">Archives</a>
        </li>
      </ul>
    </div>
  </nav>
</header>

<body>
  <section class="hero">
    <img src="{% static 'home/fish.png' %}" class="translateX" data-speed="-1.35" id="fish" alt="" height="500px">
    <img src="{% static 'home/jellyfish.png' %}" class="translateY" data-speed="-0.9" id="jellyfish1" alt="" height="300px">
    <img src="{% static 'home/jellyfish.png' %}" class="translateY" data-speed="-0.9" id="jellyfish2" alt="" height="300px">
  </section>
  {% block content %}
  {% endblock %}
  <img src="{% static 'home/sea.png' %}" id="bottom" width="100%">
  
</body>

  <script>
    const translateX = document.querySelectorAll(".translateX");
    const translateY = document.querySelectorAll(".translateY");
    window.addEventListener("scroll" ,() => {
      if (window.innerWidth > 568){
        let scroll = window.pageYOffset;
        translateX.forEach(element => {
          let speed = element.dataset.speed;
          element.style.transform = `translateX(${scroll * speed}px)`;
        })
        translateY.forEach(element => {
          let speed = element.dataset.speed;
          element.style.transform = `translateY(${scroll * speed}px)`;
        })
      }
    })
  </script>

  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>


</html>